function C = cor(X)

C = linspace(0,length(X)-2,length(X)-2);  % vector for output

i = 1;  % correlation length

while i < (length(X)-1)

    j = 1;
    hav = 0;
    count = 0;

    while j < (length(X)-i) % loop along stylo 
        h = X(j) - X(j+i);  % get difference 
        h = h^2;  % square difference
        hav = hav + h;  % sum of differences
        j = j + 1;
        count = count + 1;  % counter 
    end

    hav = hav /count;  % average
    hav = hav^0.5;  % square root again
    
    C(i) = hav; % put in final vector
    i = i + 1;
end
